#pragma once

#define IMAGE typeid(Image).name()

#include "elements/Texture.hpp"
#include "elements/BehaviourScript.hpp"

namespace TSE
{
    class Image : public BehaviourScript
    {
    private:
        Sprite spr;
        Sprite* sprPtr = nullptr;
        Rect lastrect;

    public:
        Image();
        void SetSprite(Sprite& s);
        Sprite& GetSprite();
        Sprite* GetSpritePtr();
        void OnUpdate() override;
        inline const char* GetName() override
        {
            return "Image";
        };
    };
} // namespace TSE

